<?xml version="1.0" encoding="UTF-8"?>
<configuration>

  <configSections>
    <section name="RewriterConfig" type="URLRewriter.Config.RewriterConfigSerializerSectionHandler, URLRewriter" />
  </configSections>
  <appSettings>
    <add key="testAgentUser" value="1"/>
    <!--本地测试代理用户-->
    <add key="ConStringEncrypt" value="false" />
    <add key="ConnectionString" value="server=[connstr]" />
  </appSettings>
  <RewriterConfig>
    <Rules>
      <RewriterRule>
        <LookFor>~/user/([a-zA-Z0-9]+)_([0-9]+)_([a-zA-Z0-9]+)\.html</LookFor>
        <SendTo>~/user/$1.aspx?id=$2&amp;sign=$3</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/user/([a-zA-Z0-9]+)\.([a-zA-Z0-9]+)\.html</LookFor>
        <SendTo>~/user/$1.aspx?Action=$2</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/user/([a-zA-Z0-9]+)\.([a-zA-Z0-9]+)\.([0-9]+)\.html</LookFor>
        <SendTo>~/user/$1.aspx?Action=$2&amp;page=$3</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/([a-zA-Z0-9]+)\.html</LookFor>
        <SendTo>~/$1/$2.aspx</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/show_([a-zA-Z0-9]+)\.html</LookFor>
        <SendTo>~/$1/show.aspx?id=$2</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/([0-9]+)_([0-9]+)\.html</LookFor>
        <SendTo>~/$1/default.aspx?id=$2&amp;page=$3</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/([0-9]+)_([0-9]+)_([0-9]+)\.html</LookFor>
        <SendTo>~/$1/default.aspx?id=$2&amp;page=$3&amp;pagesize=$4</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/([0-9a-zA-Z]+)\.html(.*)</LookFor>
        <SendTo>~/$1/$2.aspx$3</SendTo>
      </RewriterRule>
      <RewriterRule>
        <LookFor>~/([a-zA-Z0-9]+)/([0-9a-zA-Z]+)/([0-9a-zA-Z]+)\.html(.*)</LookFor>
        <SendTo>~/$1/$2/$3.aspx$4</SendTo>
      </RewriterRule>
    </Rules>
  </RewriterConfig>

  <system.web>
	<globalization requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN" uiCulture="zh-CN" fileEncoding="utf-8"/>
    <httpHandlers>
      <add verb="*" path="*.aspx" type="URLRewriter.RewriterFactoryHandler, URLRewriter" />
      <add verb="*" path="*.html" type="URLRewriter.RewriterFactoryHandler, URLRewriter" />
    </httpHandlers>
    <httpRuntime executionTimeout="3600" maxRequestLength="1048576" />
    <compilation debug="true">
      <buildProviders>
        <add extension=".html" type="System.Web.Compilation.PageBuildProvider" />
      </buildProviders>
    </compilation>
  </system.web>
</configuration>
